### Class

# Gtk StringSorter

#### Description [src]

    final class Gtk.StringSorter : Gtk.Sorter {
      /* No available fields */
    }

`GtkStringSorter` is a `GtkSorter` that compares strings.

It does the comparison in a linguistically correct way using the current locale by normalizing Unicode strings and possibly case-folding them before performing the comparison.

To obtain the strings to compare, this sorter evaluates a `GtkExpression`.

#### Hierarchy

#### Ancestors

- GtkSorter
- GObject

#### Constructors

###### gtk_string_sorter_new

Creates a new string sorter that compares items using the given `expression`.

#### Instance methods

###### gtk_string_sorter_get_expression

Gets the expression that is evaluated to obtain strings from items.

###### gtk_string_sorter_get_ignore_case

Gets whether the sorter ignores case differences.

###### gtk_string_sorter_set_expression

Sets the expression that is evaluated to obtain strings from items.

###### gtk_string_sorter_set_ignore_case

Sets whether the sorter will ignore case differences.

##### Methods inherited from GtkSorter (3)

###### gtk_sorter_changed

Notifies all users of the sorter that it has changed.

###### gtk_sorter_compare

Compares two given items according to the sort order implemented by the sorter.

###### gtk_sorter_get_order

Gets the order that `self` conforms to.

#### Properties

###### Gtk.StringSorter:expression

The expression to evaluate on item to get a string to compare with.

###### Gtk.StringSorter:ignore-case

If matching is case sensitive.

#### Class structure

    struct GtkStringSorterClass {
      GtkSorterClass parent_class;

    }

###### Class members

`parent_class` |
    GtkSorterClass
| No description available.